Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 797892 (CVE-2021-30005) - <dev-util/pycharm-{community,professional}-2021.1.2: code execution when getting project from VCS (CVE-2021-30005)
Summary: <dev-util/pycharm-{community,professional}-2021.1.2: code execution when gett...
Status: RESOLVED FIXED
Alias: CVE-2021-30005
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://blog.jetbrains.com/blog/2021/...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-23 14:13 UTC by John Helmert III
Modified: 2021-07-20 04:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-06-23 14:13:24 UTC
CVE-2021-30005:

In JetBrains PyCharm before 2020.3.4, local code execution was possible because of insufficient checks when getting the project from VCS.


Please bump.
Comment 1 INODE64 Sistemas 2021-07-01 14:20:02 UTC
PullRequest https://github.com/gentoo/gentoo/pull/21499 to fix this problem
Comment 2 John Helmert III gentoo-dev Security 2021-07-01 14:22:23 UTC
(In reply to INODE64 Sistemas from comment #1)
> PullRequest https://github.com/gentoo/gentoo/pull/21499 to fix this problem

This security bug is already fixed by the versions in tree, right?
Comment 3 John Helmert III gentoo-dev Security 2021-07-16 02:00:36 UTC
GLSA request filed.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2021-07-20 04:15:39 UTC
This issue was resolved and addressed in
 GLSA 202107-45 at https://security.gentoo.org/glsa/202107-45
by GLSA coordinator John Helmert III (ajak).